Hot on the heels of the release of RedSn0w 0.9.9b9 and UltraSn0w 1.2.5, the Dev Team was quick at fixing a bug that affected iPhone 3GS owners with older bootrom. This fix comes with RedSn0w 0.9.9b9d which was released earlier today.

If you have an iPhone 3GS with older bootrom and used RedSn0w 0.9.9b9, you can simply run this new version of RedSn0w on top of it…

iPhone3GS owners in our comments section below noticed a problem with the untethered jailbreak available for the old-bootrom 3GS. We’ve corrected that problem in 0.9.9b9d. If you have an old-bootrom 3GS and have already used last night’s redsn0w on it, you can re-run it again without losing anything. Just use this new version, go to Extras->IPSW and manually select the 5.0.1 IPSW, then go back and Jailbreak it again (but you can uncheck Cydia because it’s already installed).

You can find RedSn0w 0.9.9b9d from our downloads section. We also have a comprehensive RedSn0w tutorial, and of course, our dedicated RedSn0w page where you’ll learn just about everything you need about RedSn0w.